#pragma once
#define MAX_SPHERES 10

typedef struct {
    float x;
    float y;
    float z;
} t_coords3d;

typedef struct {
    t_coords3d camera;
	unsigned char sphereCount;
    t_coords3d sphere[MAX_SPHERES];
    float radius[MAX_SPHERES];
} t_scene;

t_scene *readScene(const char *filename);
// void printScene(t_scene *scene); // for testing purposes
